/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { Special } from "../../interfaces/weather/special.js";

export const specials: Array<Special> = [
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
    "There has been an avalanche and some roads are blocked! Travel to and from this village today is impossible.",
    emote:          "🏔️",
    name:           "Avalanche",
    precipitations: [ "Snow" ],
    temps:          [ "Chilly", "Cold", "Freezing", "Frigid" ],
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
    "Blighted rain falls from the sky, staining the ground and creating sickly maroon-tinged puddles... if you roll for gathering today you must also `/tableroll blightrain` to see if you get infected! If you miss doing this roll with your gather, blighting will be automatic.",
    emote:          "🌧️🧿",
    name:           "Blight Rain",
    precipitations: [ "Rain" ],
    temps:          [
      "Brisk",
      "Cool",
      "Mild",
      "Perfect",
      "Warm",
      "Hot",
      "Scorching",
      "Heat Wave",
    ],
    winds: "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "A drought has dried up the smaller vegetation surrounding the village... any plants or mushrooms rolled today are found dead and will not be gathered.",
    emote:          "🌵",
    name:           "Drought",
    precipitations: [ "Sunny" ],
    temps:          [ "Scorching", "Heat Wave" ],
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "Fairy circles have popped up all over Hyrule! All residents and visitors may use `/tableroll fairycircle` to gather mushrooms today!",
    emote:          "🍄",
    name:           "Fairy Circle",
    precipitations: "any",
    temps:          "any",
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "There has been a Flood! Travelling to and from this village is impossible today due to the danger.",
    emote:          "🌊",
    name:           "Flood",
    precipitations: [ "Rain" ],
    temps:          [
      "Cold",
      "Chilly",
      "Brisk",
      "Cool",
      "Mild",
      "Perfect",
      "Warm",
      "Hot",
      "Scorching",
      "Heat Wave",
    ],
    winds: "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "An overabundance of plants and flowers have been spotted growing in and around the village! All residents and visitors may `/tableroll flowerbloom` to gather today!",
    emote:          "🌼",
    name:           "Flower Bloom",
    precipitations: "any",
    temps:          [ "Perfect", "Warm", "Hot", "Scorching", "Heat Wave" ],
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "Fish are practically jumping out of the water! All residents and visitors may `/tableroll jubilee` to catch some fish!",
    emote:          "🐟",
    name:           "Jubilee",
    precipitations: "any",
    temps:          "any",
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "Shooting starts have been spotted streaking through the sky! Quick, all residents and visitors make a wish and use `/tableroll meteorshower` for a chance to find a star fragment!",
    emote:          "☄️",
    name:           "Meteor Shower",
    precipitations: [ "Sunny" ],
    temps:          "any",
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "Oof! Sure is humid today! Critters are out and about more than usual. All residents and visitors may use `/tableroll muggy` to catch some critters!",
    emote:          "🐛",
    name:           "Muggy",
    precipitations: [ "Rain", "Fog", "Cloudy" ],
    temps:          [ "Perfect", "Warm", "Hot", "Scorching", "Heat Wave" ],
    winds:          "any",
  },
  {
    description:
    // eslint-disable-next-line stylistic/max-len -- We can't break this string up.
      "Oh no there's been a rock slide! Travelling to and from this village is impossible today. All residents and visitors may use `/tableroll rockslide` to help clear the road! You might just find something interesting while you work...",
    emote:          "⛏️",
    name:           "Rock Slide",
    precipitations: "any",
    temps:          "any",
    winds:          "any",
  },
];
